//+------------------------------------------------------------------+
//|                                                      ProjectName |
//|                                      Copyright 2012, CompanyName |
//|                                       http://www.companyname.net |
//+------------------------------------------------------------------+
#property copyright " "
#property link      "https://www.mql5.com"
#property version   "3.03" //should match EcLib version
#property strict
//===============================================================================================
#import     "EcLib.ex4"
int         EcUpdate(uchar       Source);
void        error2log(string      error_str);
bool        FetchWeek(uchar       Source);
void        dat2txt(string      FileName,
                    datetime    TimeStart,
                    datetime    TimeEnd,
                    int         TimeShift,
                    int         PathFlag,
                    bool        Shrt);
void        ref_load(string      &ref_array[][150],
                     string      &words_array[]);
#import
#include  <EcHeaders.mqh>
//===============================================================================================

input bool        FetchWeekFlag=false;             //    ?
input bool        txt2datShortVersion=false;            //true -  , false - 
input SourceN     updsource=forexprostools;  //  

datetime          Time0,// /      
Time1;                     // /      
string            txt2datFileName="DB\\ec0_db";//      
int               res,i,ec_ini_handle;
string            headers,str0;
char              post[],
result[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
   ec_ini_handle=FileOpen("ec\\DB\\ec.ini",FILE_COMMON|FILE_READ|FILE_CSV,';');
   if(ec_ini_handle==-1)
     {
      error2log("EcExpert: ERROR: ec.ini not found");
      return(-1);
     }
   if(ec_ini_handle!=-1)
     {
      do str0     =  FileReadString(ec_ini_handle); while((str0 != "[EcExpert]") && !FileIsEnding(ec_ini_handle));
      Time0       =  StringToTime(StringTrimRight(FileReadString(ec_ini_handle)));
      Time1       =  StringToTime(StringTrimRight(FileReadString(ec_ini_handle)));
     }
   FileClose(ec_ini_handle);
   i=EcUpdate(updsource);
   txt2datFileName="DB\\ec0_db";
   if(updsource==yahoo) txt2datFileName="DB_YAHOO\\ec0_db";
   dat2txt(txt2datFileName,Time0,Time1,0,FILE_COMMON,txt2datShortVersion);
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnTick()
  {
  }
//+------------------------------------------------------------------+
